com.virtual.tour.road.com.virtual.tour.road.model

## Class Ruta

- java.lang.Object
- - com.virtual.tour.road.com.virtual.tour.road.model.Ruta

-     public class Ruta
      extends java.lang.Object

  Created by Carolina Bonnin on 05/05/2015. Clase referente al objeto ruta. Contiene atributos, getters y setters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `id`
    `private java.lang.String` | `mailUsuario`
    `private java.lang.String` | `nombre`
    `private java.lang.String` | `puntoFinal_lat`
    `private java.lang.String` | `puntoFinal_lon`
    `private java.lang.String` | `puntoInicio_lat`
    `private java.lang.String` | `puntoInicio_lon`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ruta()`
    `Ruta(java.lang.String nombre, java.lang.String puntoInicio_lat, java.lang.String puntoInicio_lon, java.lang.String puntoFinal_lat, java.lang.String puntoFinal_lon, java.lang.String mailUsuario, int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `java.lang.String` | `getMailUsuario()`
    `java.lang.String` | `getNombre()`
    `java.lang.String` | `getPuntoFinal_lat()`
    `java.lang.String` | `getPuntoFinal_lon()`
    `java.lang.String` | `getPuntoInicio_lat()`
    `java.lang.String` | `getPuntoInicio_lon()`
    `void` | `setId(int id)`
    `void` | `setMailUsuario(java.lang.String mailUsuario)`
    `void` | `setNombre(java.lang.String nombre)`
    `void` | `setPuntoFinal_lat(java.lang.String puntoFinal_lat)`
    `void` | `setPuntoFinal_lon(java.lang.String puntoFinal_lon)`
    `void` | `setPuntoInicio_lat(java.lang.String puntoInicio_lat)`
    `void` | `setPuntoInicio_lon(java.lang.String puntoInicio_lon)`
    `java.lang.String` | `toString()` Returns a string containing a concise, human-readable description of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          private int id

    - #### mailUsuario

          private java.lang.String mailUsuario

    - #### nombre

          private java.lang.String nombre

    - #### puntoFinal_lat

          private java.lang.String puntoFinal_lat

    - #### puntoFinal_lon

          private java.lang.String puntoFinal_lon

    - #### puntoInicio_lat

          private java.lang.String puntoInicio_lat

    - #### puntoInicio_lon

          private java.lang.String puntoInicio_lon

  - ### Constructor Detail

    - #### Ruta

          public Ruta()

    - #### Ruta

          public Ruta(java.lang.String nombre,
                      java.lang.String puntoInicio_lat,
                      java.lang.String puntoInicio_lon,
                      java.lang.String puntoFinal_lat,
                      java.lang.String puntoFinal_lon,
                      java.lang.String mailUsuario,
                      int id)

  - ### Method Detail

    - #### getId

          public int getId()

    - #### getMailUsuario

          public java.lang.String getMailUsuario()

    - #### getNombre

          public java.lang.String getNombre()

    - #### getPuntoFinal_lat

          public java.lang.String getPuntoFinal_lat()

    - #### getPuntoFinal_lon

          public java.lang.String getPuntoFinal_lon()

    - #### getPuntoInicio_lat

          public java.lang.String getPuntoInicio_lat()

    - #### getPuntoInicio_lon

          public java.lang.String getPuntoInicio_lon()

    - #### setId

          public void setId(int id)

    - #### setMailUsuario

          public void setMailUsuario(java.lang.String mailUsuario)

    - #### setNombre

          public void setNombre(java.lang.String nombre)

    - #### setPuntoFinal_lat

          public void setPuntoFinal_lat(java.lang.String puntoFinal_lat)

    - #### setPuntoFinal_lon

          public void setPuntoFinal_lon(java.lang.String puntoFinal_lon)

    - #### setPuntoInicio_lat

          public void setPuntoInicio_lat(java.lang.String puntoInicio_lat)

    - #### setPuntoInicio_lon

          public void setPuntoInicio_lon(java.lang.String puntoInicio_lon)

    - #### toString

          public java.lang.String toString()

      Description copied from class: `java.lang.Object`
      Returns a string containing a concise, human-readable description of this object. Subclasses are encouraged to override this method and provide an implementation that takes into account the object's type and data. The default implementation is equivalent to the following expression:

             getClass().getName() + '@' + Integer.toHexString(hashCode())

      See Writing a useful `toString` method if you intend implementing your own `toString` method.

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a printable representation of this object.